# Organization

## Retrieve the data for your Organization

<mark style="color:blue;">`GET`</mark> `https://api.rep.ai/public/api/v1/org`

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "allowRecording":true,
  "autoRecording":false,
  "clientKey":"7a87199a22634140a0d8a8aa4359081c",
  "enableDevDomains":false,
  "enableRecaptcha":false,
  "hippaMode":"None",
  "id":1527322543,
  "isWorkingHours":true,
  "name":"Service Bell",
  "status":"ACTIVE",
  "timezone":"US/Central"
}
```

{% endtab %}
{% endtabs %}

## Retrieve the listing of Users in your Organization

<mark style="color:blue;">`GET`</mark> `https://api.rep.ai/public/api/v1/org/team`

{% tabs %}
{% tab title="200: OK List of Users" %}

```json
[
  {
    "avatar":{
      "imageUrl":"https://uploads.servicebell.com/avatars/1663717201.cacecb44dce34a17aab93534f1c25fe6.png"
    },
    "displayName":"Zach Schipono",
    "emailAddress":"schipono@servicebell.com",
    "emailVerified":true,
    "id":7926718459,
    "onCall":true,
    "orgRoles":[
      "ADMIN"
    ],
    "title":"Developer"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

## Scrub the Visitor records for users matching the given IDs & emails

<mark style="color:green;">`POST`</mark> `https://api.rep.ai/public/api/v1/org/<ID>/visitorscrub`

#### Request Body

| Name                                         | Type       | Description                         |
| -------------------------------------------- | ---------- | ----------------------------------- |
| identities<mark style="color:red;">\*</mark> | List\<str> | List of customId and email strings. |

{% tabs %}
{% tab title="200: OK " %}

```json
[
  {
    "customId":"None",
    "customMetadata":{
      "displayName":"REDACTED"
    },
    "id":"747a2bd8-d1aa-4736-beb5-1ebe142439f0",
    "orgId":1222456005
  },
  {
    "customId":"None",
    "customMetadata":{
      "displayName":"REDACTED"
    },
    "id":"b81085e2-ae40-4303-9050-9c38784c7454",
    "orgId":1222456005
  }
]j
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rep.ai/api-resources/organization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
